module("veraTemplateChoose", package.seeall)
--
-- Vera Template Library
-- Copyright (C) 2012 Richard T. Schaefer
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
--
----------------------------------------------------

-- Private ------------------------------------------------------------------------

-- Public ------------------------------------------------------------------------
templateclass="Choose"

function expand(SubFunction, Args, PipeArg)
   local maps = {}
   local data, oprions
   if (PipeArg) then
      data = PipeArg
      options = Args
   else
      data, options = string.match(Args, "([^,]+)%,([%s%S]*)")
   end
   local res = data
   if (data) then
      string.gsub(options, "[%s]*([^,]+)%=([^,]+)", 
		  function(s,t) 
		     maps[s] = t 
		  end)
      res = maps[res] or maps["Other"] or res
   end
   --print("Choose SubFunction:" .. (SubFunction or "nil") .. " Args:" .. (Args or "nil") .. " res:" .. (res or "nil"))
   return res
end

