module("veraTemplateDateTime", package.seeall)
--
-- Vera Template Library
-- Copyright (C) 2012 Richard T. Schaefer
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
--
----------------------------------------------------

-- Private ------------------------------------------------------------------------
local ParseArgs = "([%d%w]+)[%,%s]*([%s%S]*)"

-- Public ------------------------------------------------------------------------
templateclass="DateTime"

function expand(SubFunction, Args, PipeArg)
   local data, format
   if (PipeArg) then
      data = PipeArg
      format = Args
   else
      local s, f 
      s, f, data, format = string.find(Args, ParseArgs)
   end
   local res
   if (data and (string.lower(data) == "currenttime")) then
      data = os.time()
   end
   res = data
   if (format and (string.len(format) > 0)) then
      res = os.date(format, tonumber(data))
   end
   --print("DateTime SubFunction:" .. (SubFunction or "nil") .. " Args:" .. (Args or "nil") .. " data:" .. (data or "nil") .. " format:" .. (format or "nil").. " res:" .. (res or "nil"))
   return res
end
