module("veraTemplateDefinitions", package.seeall)
--
-- Vera Template Library
-- Copyright (C) 2012 Richard T. Schaefer
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
--
----------------------------------------------------

local t = require("veraTemplate")
-- Define some Service aliases  
t.register("HomeAutomation", "service[urn:micasaverde-com:serviceId:HaDevice1]", "Service")
t.register("ZWave", "service[urn:micasaverde-com:serviceId:ZWaveNetwork1]", "Service")
t.register("Energy", "service[urn:micasaverde-com:serviceId:EnergyMetering1]", "Service")
t.register("Switch", "service[urn:upnp-org:serviceId:SwitchPower1]", "Service")
t.register("Dimmer", "service[urn:upnp-org:serviceId:Dimming1]", "Service")
t.register("Lock", "service[urn:micasaverde-com:serviceId:DoorLock1]", "Service")
t.register("Security", "service[urn:micasaverde-com:serviceId:SecuritySensor1]", "Service")
t.register("HVACMode", "service[urn:upnp-org:serviceId:HVAC_UserOperatingMode1]", "Service")
t.register("HVACState", "service[urn:micasaverde-com:serviceId:HVAC_OperatingState1]", "Service")
t.register("HVACCool", "service[urn:upnp-org:serviceId:TemperatureSetpoint1_Cool]", "Service")
t.register("HVACHeat", "service[urn:upnp-org:serviceId:TemperatureSetpoint1_Heat]", "Service")
t.register("HVACFan", "service[urn:upnp-org:serviceId:HVAC_FanOperatingMode1]", "Service")
t.register("Blind", "service[urn:upnp-org:serviceId:WindowCovering1]", "Service")
t.register("TemperatureSensor", "service[urn:upnp-org:serviceId:TemperatureSensor1]", "Service")
t.register("LightSensor", "service[urn:upnp-org:serviceId:LightSensor1]", "Service")
t.register("HumiditySensor", "service[urn:upnp-org:serviceId:HumiditySensor1]", "Service")

-- Define some translation templates

t.register("BinarySwitchOptions", "0=Off,1=On,Other=Unknown")
t.register("LockOptions", "0=Unlock,1=Lock,Other=Unknown")

-- Define  DateTimeFormat
t.register("DateTimeFormat", "%A %B %d %Y %H:%M")
